﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace Win_Chart_ImageOnTop
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        bool animate = false;
        bool flag = false;
        Timer timer = new Timer();
        
        private void Form1_Load(object sender, EventArgs e)
        {
            flag = true;
            timer.Tick += new EventHandler(timer_Tick);
            timer.Interval = 400;
            timer.Start();
        }

void timer_Tick(object sender, EventArgs e)
{
    if (animate)
    {
        for (int i = 0; i < c1Chart1.ChartLabels.LabelsCollection.Count; i++)
        {
            if (c1Chart1.ChartLabels.LabelsCollection[i].AttachMethodData.SeriesIndex == 1)
                c1Chart1.ChartLabels.LabelsCollection[i].Text = "abcde\nfghi\njklm";
        }
    }
    else
    {
        for (int i = 0; i < c1Chart1.ChartLabels.LabelsCollection.Count; i++)
        {
            if (c1Chart1.ChartLabels.LabelsCollection[i].AttachMethodData.SeriesIndex == 1)
                c1Chart1.ChartLabels.LabelsCollection[i].Text = "";
        }
    }
    animate = !animate;
}

        private void c1Chart1_Paint(object sender, PaintEventArgs e)
        {
            if (flag == true)   //Create the ChartLabels containing the Images just once
            {
                C1.Win.C1Chart.Label label;
                int CoordX = 0, CoordY = 0;
                Image happy = new Bitmap(@"..\..\happy.jpg");
                Image sad = new Bitmap(@"..\..\sad.jpg");
                for (int i = 0; i < c1Chart1.ChartGroups[0].ChartData.SeriesList.Count; i++)
                {
                    for (int j = 0; j < c1Chart1.ChartGroups[0].ChartData.SeriesList[i].PointData.Length; j++)
                    {
                        c1Chart1.ChartGroups.Group0.DataIndexToCoord(i, j, ref CoordX, ref CoordY);
                        label = new C1.Win.C1Chart.Label();
                        label = c1Chart1.ChartLabels.LabelsCollection.AddNewLabel();
                        label.Visible = true;
                        //Display some random text in the label
                        //and set the Forecolor of the Text to Transparent
                        label.Style.ForeColor = Color.Transparent;
                        label.Text = "abcde\nfghi\njklm";
                        if (i == 0)
                            label.Image = new Bitmap(happy, new Size(25, 25));
                        else
                            label.Image = new Bitmap(sad, new Size(25, 25));
                        label.AttachMethod = C1.Win.C1Chart.AttachMethodEnum.DataIndex;
                        label.Compass = C1.Win.C1Chart.LabelCompassEnum.North;
                        label.AttachMethodData.GroupIndex = 0;
                        label.AttachMethodData.SeriesIndex = i;
                        label.AttachMethodData.PointIndex = j;
                    }
                }
                flag = false;
            }
        }

    }
}
